Group Group Group Group Group Group Group Group Group

Get error when run the command "swift build -c release" on ubuntu18.04

I got the error message after run the command “swift build -c release” as below.

/usr/share/swift/usr/bin/swift-build: /usr/lib/x86_64-linux-gnu/libcurl.so.4: version `CURL_OPENSSL_4’ not found (required by /usr/share/swift/usr/bin/…/lib/swift/linux/libFoundation.so)

Appreciated if you could advice how to fix the problem.

What Linux distro is this and how did you install Swift?

Thanks for your reply.
Here is the way I install Swift.
1. I followed the step in the tutorial “34 : Deploying with AWS”

2 . Then installed swift5 on Ubuntu18.04 (EC2 instance of AWS) following the step by this link.

3. Then Cloning the project from bitbucket and run “swift build -c release”

** I still have not set up Nginx and environment file yet.

Sorry,It’s my mistake.
Because I skipped installing vapor.

Also run “vapor update”
Now my project up and run smoothly. ^^

@thammaporn Glad you sorted it out! Cheers! :]